# Somali

@Serializable(with = IetfLangSerializer::class )
sealed interface Somali : IetfLang (source)

#### Inheritors

DJ
ET
KE
SO
Companion

## Types

Companion
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object Companion : IetfLang.Somali
DJ
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object DJ : IetfLang.Somali
ET
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object ET : IetfLang.Somali
KE
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object KE : IetfLang.Somali
SO
Link copied to clipboard
@Serializable(with = IetfLangSerializer::class )
object SO : IetfLang.Somali

## Properties

code
Link copied to clipboard
abstract val code : String
parentLang
Link copied to clipboard
open val parentLang : IetfLang ?
withoutDialect
Link copied to clipboard
open val withoutDialect : String

## Functions

toJavaLocale
Link copied to clipboard
fun IetfLang . toJavaLocale (): Locale
toJavaLocaleOrDefault
Link copied to clipboard
fun IetfLang ?. toJavaLocaleOrDefault (): Locale